#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xc41a24b5, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x880f5197, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x2154cef0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b02f7f2, "rtnl_link_register" },
	{ 0x15f02bf2, "genl_register_family" },
	{ 0x5ae41fe9, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xc253c795, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9a3c4a99, "crypto_alloc_aead" },
	{ 0x8826f69d, "crypto_aead_setkey" },
	{ 0xc8c3bbd7, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xb7141550, "skb_pull" },
	{ 0x12001bb9, "___pskb_trim" },
	{ 0x6a2096d8, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x44651f0, "dev_mc_sync" },
	{ 0xde941343, "dev_uc_sync" },
	{ 0xebc779f3, "dev_set_allmulti" },
	{ 0x21c2e60f, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xec3da793, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd84db5ae, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2b32b565, "__dev_queue_xmit" },
	{ 0xcbbbff5, "eth_type_trans" },
	{ 0x144f86c8, "gro_cells_receive" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0x58d1339d, "__dev_get_by_index" },
	{ 0x46013c43, "skb_clone" },
	{ 0xb25bed9e, "__netif_rx" },
	{ 0x4214f414, "consume_skb" },
	{ 0xef2792cd, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb5b2e24f, "skb_to_sgvec" },
	{ 0x2b644790, "crypto_aead_decrypt" },
	{ 0x6e21244b, "skb_copy" },
	{ 0x957cc40c, "skb_push" },
	{ 0x38b70c0c, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe424c6f6, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4fbef6e3, "skb_put" },
	{ 0x17e4897, "crypto_aead_encrypt" },
	{ 0xaedd2678, "skb_copy_expand" },
	{ 0x7845f222, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6a5277a8, "skb_trim" },
	{ 0xd53bb64c, "register_netdevice" },
	{ 0x75c4cf09, "netdev_upper_dev_link" },
	{ 0x106fb675, "netdev_upper_dev_unlink" },
	{ 0xfde3610f, "unregister_netdevice_queue" },
	{ 0x3c1b83e6, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae54ab9d, "netif_stacked_transfer_operstate" },
	{ 0xd287c7b7, "linkwatch_fire_event" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x872d3199, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9e8940c0, "netdev_rx_handler_unregister" },
	{ 0x7a8a2c99, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x65238319, "netif_carrier_off" },
	{ 0x5c5f7253, "dev_mc_unsync" },
	{ 0xb657546, "dev_uc_unsync" },
	{ 0xfc6bf799, "dev_uc_del" },
	{ 0x3a075065, "dev_uc_add" },
	{ 0xd8998757, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41053d7b, "genlmsg_put" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "993E4F2A733522CEC90561D");
MODULE_INFO(rhelversion, "9.6");
