#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xce00b63a, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xd69347c0, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x01d6fd53, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x0946e6b4, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x3cba0de4, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x50afd165, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x6e58b64c, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xadc7821b, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x127d53b7, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x08915ce2, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xa47d0838, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xb952f3bb, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xe4ce673f, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x10abe97f, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x86d2bcd3, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x153264e1, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xf3c4556a, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x17df1851, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x1199ed79, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xee20f5f0, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x44840981, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x2f59af35, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xe41ebd80, "");
SYMBOL_CRC(fcoe_transport_detach, 0xace652ff, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x07f517f4, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xb8594b10, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xb345ee4f, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x71f49eb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4d4ce03, "fc_rport_lookup" },
	{ 0x11532150, "dev_get_stats" },
	{ 0xa3ff9c29, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1d425937, "param_ops_uint" },
	{ 0x4fbef6e3, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xae7ca8d2, "dev_set_name" },
	{ 0x4214f414, "consume_skb" },
	{ 0xdf6fe820, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x4e9f8d98, "device_unregister" },
	{ 0xd7c9b500, "skb_dequeue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6964819, "fc_rport_logoff" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe63a1406, "fc_disc_init" },
	{ 0xefe95fe2, "fc_rport_login" },
	{ 0xcd44f22a, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8d184625, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x91026381, "skb_queue_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7ac32a66, "fc_lport_reset" },
	{ 0x20dd182c, "bus_unregister" },
	{ 0x58a21e54, "init_net" },
	{ 0xb7141550, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x957cc40c, "skb_push" },
	{ 0xad4aee39, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x96097f1f, "fc_lport_set_local_id" },
	{ 0xc1f9147b, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3f1ed4b6, "__ethtool_get_link_ksettings" },
	{ 0xcee18160, "device_register" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x288b1af1, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xdeb79548, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf5d265da, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x38b70c0c, "__pskb_pull_tail" },
	{ 0x5396d84e, "fc_fcp_init" },
	{ 0xca3b1e53, "__netdev_alloc_skb" },
	{ 0x6a5277a8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2b32b565, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82779279, "alloc_pages" },
	{ 0x3b5a0c81, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc00b3d84, "dev_get_by_name" },
	{ 0x46013c43, "skb_clone" },
	{ 0xaa90bfbc, "fc_seq_els_rsp_send" },
	{ 0x2623621, "dev_printk" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x3988b282, "param_ops_int" },
	{ 0xed4a2f0, "fc_rport_create" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0xc56a2ee9, "fc_exch_init" },
	{ 0xcce90d31, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xce25d19f, "fc_linkup" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "672E5BE3969445545E6F3D5");
MODULE_INFO(rhelversion, "9.6");
