#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xb0050d06, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x85c2756c, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xa2f01c4c, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x17957255, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x6ad8b33c, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xa6791071, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xd16c9b65, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x083b9939, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x86b0f2b9, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xd3c3878c, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xd07b32a1, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xa9e31706, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x4785fe5a, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x7572d7be, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x10da0422, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x602ed51d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x515afe71, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x2e5b5ba8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xa3e7e706, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x83c1cf61, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xec0eb3a6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xccf5d120, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x52d438e9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa43ba178, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x9265407b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xf1c84d69, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x892b263a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x4dc22b4b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x9ede654c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x9336672f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x74d32849, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x6617a4b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x9cc2180f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x05a71b60, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x5ef41185, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x8fdeb651, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xee979235, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x17b1725b, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x562940fc, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x14adaf77, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xca678ee5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x6f2efb6d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x28869d58, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x6d567bcb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x5c7fdbe6, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xbf132a20, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x09a5d4d9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x930b0ecd, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xae9426a8, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xba2c42a5, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xd89601c5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x2a2742aa, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x809648c0, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x6f008db5, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x8a7f3b69, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xe4904f6c, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x2773bf6c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xd217e279, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xcfdc153a, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xf107d8cc, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x7bc38d8e, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x329e0745, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xf4526435, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xcb0e5080, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xd8466aa7, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x00e9f5af, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xd3a72240, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xee09969c, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xa63c184d, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x5ba248af, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x922a186f, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xf361548c, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xd79fd67b, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xacfb1028, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xc6d7a030, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xafe5c6fa, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x6198cac2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xc55a89e2, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x300c3352, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x549b08ee, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x9146b17f, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x0fcd5ac7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19527f94, "rpc_put_task" },
	{ 0xdb12fb39, "generic_copy_file_range" },
	{ 0x11acd389, "svc_generic_rpcbind_set" },
	{ 0x9e3d7d3d, "nfs_clone_server" },
	{ 0x14b8b0c4, "nfs_access_add_cache" },
	{ 0x6a5b65e, "filemap_fdatawrite" },
	{ 0x2f4801c, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x26a8d64, "nfs_server_remove_lists" },
	{ 0xa0d9a219, "nfs42_ssc_unregister" },
	{ 0x5aa46d73, "generic_listxattr" },
	{ 0x325eeec0, "try_module_get" },
	{ 0x61ed551e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa3ff9c29, "vmemmap" },
	{ 0x994b7b13, "nfs_writeback_update_inode" },
	{ 0x462f05a5, "clear_inode" },
	{ 0xd26bcfeb, "inode_to_bdi" },
	{ 0xf04863fd, "bpf_trace_run4" },
	{ 0x9ae2e2b2, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x1d425937, "param_ops_uint" },
	{ 0xefbaa030, "user_revoke" },
	{ 0xb000cb8a, "d_exact_alias" },
	{ 0xf632a885, "nfs_alloc_client" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xb2f749b6, "nfs_mark_client_ready" },
	{ 0xbea09983, "rpc_clnt_probe_trunked_xprts" },
	{ 0x6217a044, "nfs_pageio_reset_read_mds" },
	{ 0xaf6d3e11, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x952ed10e, "rpc_shutdown_client" },
	{ 0x70bc795e, "svc_bind" },
	{ 0x3a5f725e, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x44b8af76, "nfs_free_inode" },
	{ 0x6b9411c9, "nfs_access_zap_cache" },
	{ 0xb8d35009, "nfs_sb_deactive" },
	{ 0x2524120f, "nfs_wb_all" },
	{ 0x255d1d74, "generic_file_splice_read" },
	{ 0x475fce0a, "__break_lease" },
	{ 0xd9d0f25c, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe303c6a6, "svc_recv" },
	{ 0xd676f441, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x4f724b98, "xdr_inline_decode" },
	{ 0xaafdbc23, "nfs_pageio_init_read" },
	{ 0x18dc93d, "trace_raw_output_prep" },
	{ 0x7163792d, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x9436f48d, "nfs_init_commit" },
	{ 0x98103eab, "nfs_commitdata_release" },
	{ 0xe6b156be, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xad53647a, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x51c9ba7d, "nfs_mknod" },
	{ 0x21b52b07, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x86722373, "nfs4_label_alloc" },
	{ 0x10accdc2, "rpc_localaddr" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x494d7b28, "trace_event_printf" },
	{ 0xe96325a3, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x3058aaa8, "nfs_lock" },
	{ 0x588bd10b, "unregister_key_type" },
	{ 0x27caeeac, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8fb16391, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x50ffeede, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x7ee9411b, "ihold" },
	{ 0x1ccef164, "truncate_pagecache_range" },
	{ 0x1319a799, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x413e941c, "invalidate_inode_pages2_range" },
	{ 0x1e9731fe, "nfs_post_op_update_inode" },
	{ 0xe4a23c7, "svc_exit_thread" },
	{ 0x833a911b, "iput" },
	{ 0x13fc73d0, "xdr_set_pagelen" },
	{ 0x9c205ff, "nfs_pgio_header_free" },
	{ 0xc5714c77, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x3fa8e64e, "logfc" },
	{ 0xc2431056, "nfs_pgio_header_alloc" },
	{ 0x2d725d47, "iter_file_splice_write" },
	{ 0xe9bf4bc9, "rpc_pton" },
	{ 0x62c43ae6, "nfs_sb_active" },
	{ 0x474a096d, "mod_node_page_state" },
	{ 0x9472e08a, "rpc_ntop" },
	{ 0x68c735f5, "rpc_wake_up_queued_task" },
	{ 0xeda21b7b, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa04b3031, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x6d4ceedc, "rpc_restart_call_prepare" },
	{ 0x2f2fab45, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x40735806, "_copy_from_pages" },
	{ 0xc37187d0, "__module_get" },
	{ 0x2ece31ad, "kmem_cache_create" },
	{ 0xfed41a80, "rpc_task_release_transport" },
	{ 0x2c5ac59d, "xdr_page_pos" },
	{ 0x74cd3558, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xabee18ca, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5972397c, "key_instantiate_and_link" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x1be8a6a, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xe8cb49e4, "register_key_type" },
	{ 0x432151a, "rpc_sleep_on" },
	{ 0x82d93ad3, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbb36fcd2, "nfs_pageio_resend" },
	{ 0x8503a3f0, "keyring_alloc" },
	{ 0x51bbf169, "vfs_setpos" },
	{ 0xf1c06a0d, "nfs_create" },
	{ 0x201f5dd7, "complete_request_key" },
	{ 0xe0de4f1a, "__put_cred" },
	{ 0xa23e75b8, "nfs_update_delegated_mtime" },
	{ 0xe096a513, "nfs_statfs" },
	{ 0x984932a1, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xfc9a773c, "rpc_max_bc_payload" },
	{ 0x72d1f496, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x1dfaefb3, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x8dc78363, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xea7eaad1, "nfs_mkdir" },
	{ 0x15c4f593, "nfs_revalidate_inode" },
	{ 0x1eeee119, "inode_newsize_ok" },
	{ 0xcd9f35eb, "nfs_file_mmap" },
	{ 0x96ee666b, "nfs_get_lock_context" },
	{ 0xaab998e2, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb1ef5f2, "nfs_set_cache_invalid" },
	{ 0x69e20663, "rpc_release_client" },
	{ 0x8060c6e3, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6c49400f, "xdr_enter_page" },
	{ 0xcc92cd99, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xcb119ddb, "trace_event_ignore_this_pid" },
	{ 0xe45da113, "nfs_generic_pgio" },
	{ 0xcd353ef0, "make_kuid" },
	{ 0x4063087, "truncate_inode_pages_final" },
	{ 0xef0c9c3b, "generic_setlease" },
	{ 0xf6c3dbc9, "xprt_destroy_backchannel" },
	{ 0x59a78d78, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5fc74902, "nfs_scan_commit_list" },
	{ 0x56b33595, "xdr_stream_decode_string_dup" },
	{ 0x12c1b2f1, "nfs_commit_inode" },
	{ 0xbdb0488d, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x21b30f7e, "rpc_destroy_pipe_data" },
	{ 0x52746010, "nfs_get_client" },
	{ 0x2be9936f, "__free_pages" },
	{ 0x683f2ac0, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3165b7fd, "nfs_atomic_open" },
	{ 0x22e1f302, "rpc_pipe_generic_upcall" },
	{ 0xd93b60aa, "nfs_file_fsync" },
	{ 0xd1f9e276, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb709a2c9, "mntput" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x3f4e63da, "nfs_put_lock_context" },
	{ 0x3210c84b, "nfs_rename" },
	{ 0x218fd574, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3f628e91, "nfs_sysfs_link_rpc_client" },
	{ 0xa5ef4a86, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x86ce473e, "nfs_show_options" },
	{ 0x590da46f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x3bca35a6, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x11d5ea4a, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9c011e85, "get_nfs_open_context" },
	{ 0x5ce9b5ea, "perf_trace_run_bpf_submit" },
	{ 0xe30d6f1a, "nfs_clear_verifier_delegated" },
	{ 0x75b8c3a0, "nfs_sysfs_add_server" },
	{ 0xa05f56ec, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x306345db, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xec5aca1f, "nfs_do_submount" },
	{ 0xb7e5dce9, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x370eb319, "request_key_with_auxdata" },
	{ 0x702f3596, "rpc_clone_client_set_auth" },
	{ 0x1eb25208, "rpc_clone_client" },
	{ 0x26d13338, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5eb3d9b1, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xc09c7829, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0x6735b798, "user_describe" },
	{ 0x5ca45f86, "put_fs_context" },
	{ 0xf020ad22, "nfs_retry_commit" },
	{ 0x7b476e2e, "nfs4_dentry_operations" },
	{ 0x48959576, "__module_put_and_kthread_exit" },
	{ 0xd0cb6c1, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x7215fb5e, "nfs_client_for_each_server" },
	{ 0xb519d43f, "nfs_clear_inode" },
	{ 0x42f1952e, "rpc_sleep_on_priority" },
	{ 0x35efc50b, "nfs_invalidate_atime" },
	{ 0x7a6b7097, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x35ff462a, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x2d5f60b5, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf342e431, "nfs_pageio_reset_write_mds" },
	{ 0xd2b98a69, "kmem_cache_free" },
	{ 0xa55612bc, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x9e29d285, "xdr_stream_subsegment" },
	{ 0xde29d406, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x60053989, "nfs_fscache_open_file" },
	{ 0x95541d3f, "from_kgid" },
	{ 0x6e34cf26, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a80600e, "nfs_write_inode" },
	{ 0xac82a7dd, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x1bcded8, "rpc_wake_up_first" },
	{ 0x18e45b6, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xda905629, "vfs_parse_fs_param" },
	{ 0x2b78da1c, "nfs_path" },
	{ 0x41354b32, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd227b979, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x284a7f88, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44385093, "rpc_sleep_on_timeout" },
	{ 0x1d4b7d7d, "list_lru_count_one" },
	{ 0xd7974194, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9f7dea0f, "rpc_call_start" },
	{ 0x6527ca32, "xprt_setup_backchannel" },
	{ 0x3f6e747e, "bpf_trace_run1" },
	{ 0xb0eea63d, "svc_create" },
	{ 0x7c3c4bc4, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xe034287e, "nfs_file_set_open_context" },
	{ 0x58494a59, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x1bda3144, "rpc_call_sync" },
	{ 0x2f84a643, "from_kuid" },
	{ 0xeb3ef8f1, "rpc_put_task_async" },
	{ 0x32da7a94, "rpc_prepare_reply_pages" },
	{ 0x308c7f2b, "rpc_queue_upcall" },
	{ 0xf2105732, "nfs_free_server" },
	{ 0x771e074d, "fc_mount" },
	{ 0xe586506c, "nfs_setattr" },
	{ 0x752625e7, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbbcebbc, "nfs4_fs_type" },
	{ 0xd56d8cd2, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x88eca6cf, "rpc_delay" },
	{ 0x46199e78, "nfs_flock" },
	{ 0x3e952ee4, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x358d8503, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xe0cabcfe, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf5176fb6, "rpc_exit" },
	{ 0xd1c305ef, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2c1a98a0, "rpc_remove_pipe_dir_object" },
	{ 0x11e9954c, "nfs_may_open" },
	{ 0x5c7ef05, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x91b4f5d7, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0x86ad7cc7, "xdr_reserve_space" },
	{ 0xd006e10f, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0xb9546a0a, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x96406ae2, "nfs_rmdir" },
	{ 0x1e1e29ee, "bpf_trace_run3" },
	{ 0x37e5956b, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0xd81597ef, "nfs_filemap_write_and_wait_range" },
	{ 0x4404530a, "rpc_mkpipe_dentry" },
	{ 0x52ec77be, "alloc_file_pseudo" },
	{ 0x28d7faeb, "rpc_mkpipe_data" },
	{ 0x12e9e8a3, "rpc_add_pipe_dir_object" },
	{ 0xc6d168e2, "igrab" },
	{ 0x92786819, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x916cb53d, "nfs_async_iocounter_wait" },
	{ 0xd510cae, "nfs_file_read" },
	{ 0x6a7ee6ed, "trace_event_buffer_reserve" },
	{ 0x220ae948, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x10bd1584, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x3d2cc227, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6ce50b25, "nfs_setattr_update_inode" },
	{ 0xa6c1c0ab, "nfs_instantiate" },
	{ 0xefa3ecf4, "init_user_ns" },
	{ 0x7f73b183, "rpc_uaddr2sockaddr" },
	{ 0x5ab23835, "user_read" },
	{ 0xccffb789, "rpc_restart_call" },
	{ 0x10800eaf, "request_key_tag" },
	{ 0x26498ba8, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x82779279, "alloc_pages" },
	{ 0x408c928b, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x7e5d4723, "svc_xprt_destroy_all" },
	{ 0x829d2543, "generic_key_instantiate" },
	{ 0xacf48c, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x612000a2, "nfs_link" },
	{ 0x3b5a0c81, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xef798a0c, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xa126dd9a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6231123d, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xab3aeff8, "xdr_stream_move_subsegment" },
	{ 0x8ff64481, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x600267a7, "nfs_post_op_update_inode_force_wcc" },
	{ 0xe925aec2, "nfs_pgheader_init" },
	{ 0x3dd17adc, "put_nfs_open_context" },
	{ 0xbcc7d8e8, "nfs_show_path" },
	{ 0xa94dedc3, "nfs_show_devname" },
	{ 0x8065a9e7, "nfs_permission" },
	{ 0x2af0b484, "nfs_initiate_commit" },
	{ 0x269021be, "truncate_inode_pages_range" },
	{ 0x99ccf14b, "__put_user_ns" },
	{ 0x215f3848, "cred_fscmp" },
	{ 0x5e67b6fe, "rpc_unlink" },
	{ 0xc2a655af, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14c32aa8, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1b82e632, "node_data" },
	{ 0x4c57a1c6, "nfs_probe_server" },
	{ 0x2597a789, "nfs_setsecurity" },
	{ 0x7f90fb23, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xdbdc5480, "rpc_clnt_test_and_add_xprt" },
	{ 0x1a1915fa, "file_ra_state_init" },
	{ 0xaea751e6, "nfs_force_lookup_revalidate" },
	{ 0xfe91d934, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5f7040d3, "rpc_clnt_add_xprt" },
	{ 0xf4f149db, "dget_parent" },
	{ 0x27110760, "from_kuid_munged" },
	{ 0x97beed8b, "prepare_kernel_cred" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x6e6185e, "nfs_alloc_server" },
	{ 0x6acad68d, "rpc_call_async" },
	{ 0x4da779d1, "security_dentry_init_security" },
	{ 0x869c2d9e, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x4ac063c9, "nfs_server_insert_lists" },
	{ 0x495bf0c3, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xb7876fc4, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x146a4983, "rpc_init_pipe_dir_object" },
	{ 0xd98c9309, "bpf_trace_run7" },
	{ 0xa7bc292f, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x7e10cfa7, "nfs_init_server_rpcclient" },
	{ 0xbc8b8eb5, "__mark_inode_dirty" },
	{ 0xa2db028e, "rpc_set_connect_timeout" },
	{ 0xcb6518e6, "rpcauth_create" },
	{ 0x688a451c, "xdr_stream_pos" },
	{ 0xf06e11f6, "key_set_timeout" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x3a1493ee, "svc_xprt_create" },
	{ 0xe598973a, "nfs42_ssc_register" },
	{ 0xa91e3457, "rpc_wait_for_completion_task" },
	{ 0x6d0708bc, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3f108c6, "rpc_num_bc_slots" },
	{ 0x186fcd5a, "nfs_alloc_inode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0xa2397f11, "security_inode_listsecurity" },
	{ 0x8b91a97f, "nfs_fhget" },
	{ 0xadb50b6e, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9af6a0e, "locks_copy_lock" },
	{ 0x2fd4a3db, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xb03293d0, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77ff1625, "nfs_set_verifier" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "30CE6F92A0E7E41730B0288");
MODULE_INFO(rhelversion, "9.6");
