#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x2c0bb5c7, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x8e0b9e12, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x3a1e9a8b, "");
SYMBOL_CRC(vcc_insert_socket, 0x98075591, "");
SYMBOL_CRC(vcc_release_async, 0xe8032c00, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x5e455659, "");
SYMBOL_CRC(atm_dev_signal_change, 0x6e931123, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xd520dd49, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xf484bd86, "");
SYMBOL_CRC(atm_alloc_charge, 0x438b6800, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xd3fd0800, "");
SYMBOL_CRC(atm_dev_lookup, 0x31c5d1b8, "");
SYMBOL_CRC(atm_dev_register, 0x0485c93f, "");
SYMBOL_CRC(atm_dev_deregister, 0x960913e6, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaeb84ca8, "skb_free_datagram" },
	{ 0x325eeec0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4fbef6e3, "skb_put" },
	{ 0xae7ca8d2, "dev_set_name" },
	{ 0x4214f414, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd7c9b500, "skb_dequeue" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x6630e9bd, "proc_create_data" },
	{ 0x5d73e1fd, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcd44f22a, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c6a1e86, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0xab1964d1, "sock_register" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdca99d89, "put_device" },
	{ 0x4e5d528d, "__alloc_skb" },
	{ 0x9562f8bc, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91026381, "skb_queue_tail" },
	{ 0xd1f9e276, "module_put" },
	{ 0xe6652fb3, "__sock_recv_ts_and_drops" },
	{ 0x7d3c8aac, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x58a21e54, "init_net" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0xfefca95b, "noop_llseek" },
	{ 0x6635be59, "sk_free" },
	{ 0x5a0a4200, "sock_wake_async" },
	{ 0x735ef140, "sock_no_accept" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x58c80521, "sock_no_listen" },
	{ 0xae61d71d, "seq_putc" },
	{ 0xdc04bb3b, "class_unregister" },
	{ 0x2e4ffbab, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb75b92e7, "skb_copy_datagram_iter" },
	{ 0x9406d7b1, "sk_alloc" },
	{ 0xcee18160, "device_register" },
	{ 0xebaf75ba, "device_del" },
	{ 0x7d39636c, "sock_no_socketpair" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x2d7962fa, "sock_no_mmap" },
	{ 0x99a41563, "sock_no_sendpage" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x23514431, "skb_recv_datagram" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9e74858d, "remove_proc_entry" },
	{ 0x312543c, "seq_printf" },
	{ 0x5cb36fd0, "_copy_from_iter" },
	{ 0x90022470, "seq_puts" },
	{ 0x67464cad, "sock_gettstamp" },
	{ 0x2006398e, "_proc_mkdir" },
	{ 0xb3724cdc, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x1909cb7b, "dev_kfree_skb_any_reason" },
	{ 0x7e1b3f8e, "iov_iter_revert" },
	{ 0x85b112a8, "proc_create_seq_private" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x326d20ce, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x7e5ae966, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0x3db634b7, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe7c5267, "release_sock" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4B6272A11C0EAEF3BF17F0");
MODULE_INFO(rhelversion, "9.6");
