#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x8288f39c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x4f2180e0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xcfae2dca, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xfceaa73a, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xf2bdc0f7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x4f5e6c0a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x1a795d40, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xf4ba53b7, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xf872c6ae, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xd5fba763, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x20e5d4bf, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x648467af, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xad516f2f, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x3ab678c7, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x39546387, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x0f4c0736, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x43ffd8d9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xbd71a669, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xdcdceaca, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xf1c635f8, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xbc776d6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x5ce9b5ea, "perf_trace_run_bpf_submit" },
	{ 0x6a7ee6ed, "trace_event_buffer_reserve" },
	{ 0x72d1f496, "trace_event_buffer_commit" },
	{ 0x2f2fab45, "event_triggers_call" },
	{ 0xcb119ddb, "trace_event_ignore_this_pid" },
	{ 0x18dc93d, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x494d7b28, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x3f6e747e, "bpf_trace_run1" },
	{ 0xeda21b7b, "bpf_trace_run2" },
	{ 0xdeb3d354, "udp_sock_create6" },
	{ 0x62ac67a, "kernel_sock_shutdown" },
	{ 0x17498a91, "sock_release" },
	{ 0xcfc15320, "sock_create_kern" },
	{ 0xe070dc08, "kernel_bind" },
	{ 0xe3d4c89c, "kernel_connect" },
	{ 0xc73a1d72, "udp_sock_create4" },
	{ 0xddc95e7f, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xe005b359, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3761d215, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6635be59, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0xd7c9b500, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x1189e14, "sockfd_lookup" },
	{ 0x2e4ffbab, "lock_sock_nested" },
	{ 0xe7c5267, "release_sock" },
	{ 0xa05f56ec, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xca466713, "setup_udp_tunnel_sock" },
	{ 0xe798236d, "jiffies" },
	{ 0x91026381, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38b70c0c, "__pskb_pull_tail" },
	{ 0xe2e34ea3, "pskb_expand_head" },
	{ 0x25a36b87, "udp_set_csum" },
	{ 0xd500bf91, "ip_queue_xmit" },
	{ 0x8bd59a67, "udp6_set_csum" },
	{ 0xef9d45e3, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7845f222, "dst_release" },
	{ 0x6e34cf26, "trace_event_reg" },
	{ 0x50ffeede, "trace_event_raw_init" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "427053ADB1A28164DF57193");
MODULE_INFO(rhelversion, "9.6");
