#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x9cad044d, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xc26597f5, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xa9c6a960, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xd004fc9f, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xa45e2c31, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x7def0638, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x08d99b52, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xd41578f2, "");
SYMBOL_CRC(ip_vs_conn_put, 0x0db89d82, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x5f12d895, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xbfb3d253, "");
SYMBOL_CRC(register_ip_vs_app, 0xc45dfe04, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x8f9e7106, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x0cd82494, "");
SYMBOL_CRC(ip_vs_proto_get, 0x556493cb, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf34e9185, "");
SYMBOL_CRC(register_ip_vs_pe, 0x2aebc7a1, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xcc919e1d, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x50f543e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6f2bf3e, "nf_ct_ext_add" },
	{ 0x8b9857f1, "nf_conntrack_find_get" },
	{ 0x325eeec0, "try_module_get" },
	{ 0xc5723ae2, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa5df215e, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xcb1e1fe2, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xaa6275d0, "skb_copy_bits" },
	{ 0xa8214714, "xfrm_lookup" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0x6d4506, "register_net_sysctl" },
	{ 0x4214f414, "consume_skb" },
	{ 0xdc0394fc, "ip6_local_out" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x11625a78, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x1eea2d6, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xe070dc08, "kernel_bind" },
	{ 0x41053d7b, "genlmsg_put" },
	{ 0x25a36b87, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xa0b8b097, "ip6_route_me_harder" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc37187d0, "__module_get" },
	{ 0xe4e7ae0e, "ip_route_output_flow" },
	{ 0x2ece31ad, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x598ac1fc, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x919caa9d, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x51b8b6c1, "proc_create_net_data" },
	{ 0xe2e34ea3, "pskb_expand_head" },
	{ 0x5b8660f4, "register_pernet_subsys" },
	{ 0x984932a1, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe28f08f0, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb9b2b2f1, "nf_register_net_hooks" },
	{ 0xca228ca9, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4e5d528d, "__alloc_skb" },
	{ 0x683f2ac0, "kmem_cache_alloc" },
	{ 0xf9c4ee8b, "ipv6_sock_mc_join" },
	{ 0xd1f9e276, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa25b41f1, "ipv6_dev_get_saddr" },
	{ 0x983bbad2, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x58a21e54, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0xda201eb0, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5d22b669, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x54ef3472, "nf_conntrack_alter_reply" },
	{ 0xe12ed8d7, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x957cc40c, "skb_push" },
	{ 0xd2b98a69, "kmem_cache_free" },
	{ 0xae61d71d, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0xeeb60c77, "nf_ct_expect_alloc" },
	{ 0x8269bd1, "skb_ensure_writable" },
	{ 0x1ae8593e, "iov_iter_kvec" },
	{ 0xf819d174, "ip_mc_join_group" },
	{ 0x1f463a09, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd133136a, "ns_capable" },
	{ 0xa4d4ca1b, "nf_unregister_net_hooks" },
	{ 0x1ad8646f, "inet_select_addr" },
	{ 0xe005b359, "unregister_pernet_device" },
	{ 0x2e4ffbab, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdfcfb63b, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6be758a0, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3dfbbd2a, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x664a8dd2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xe3d4c89c, "kernel_connect" },
	{ 0xa26f815a, "skb_checksum" },
	{ 0x84e24c25, "ip_defrag" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x38b70c0c, "__pskb_pull_tail" },
	{ 0xea0933b, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6a5277a8, "skb_trim" },
	{ 0xd1a95197, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xb9546a0a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xfe6030a9, "nf_ct_deliver_cached_events" },
	{ 0x849c1a48, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x25d5873, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdf20c977, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x1c7fdc2f, "skb_set_owner_w" },
	{ 0x31cd230f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xcfc15320, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xefa3ecf4, "init_user_ns" },
	{ 0xc0cadfb4, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9e74858d, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x312543c, "seq_printf" },
	{ 0xd80e5f00, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x600ca2d7, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe507565, "ipv4_update_pmtu" },
	{ 0xec2eaae0, "nf_defrag_ipv6_enable" },
	{ 0x7845f222, "dst_release" },
	{ 0x17498a91, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x90022470, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x609719d5, "ip_local_out" },
	{ 0xec3da793, "genl_unregister_family" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8bd59a67, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x3988b282, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x15f02bf2, "genl_register_family" },
	{ 0x3405f212, "kernel_sendmsg" },
	{ 0x7c431965, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xddc95e7f, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2fd4a3db, "kmem_cache_destroy" },
	{ 0xe7c5267, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "784E1E33F2A07EA774F0FB5");
MODULE_INFO(rhelversion, "9.6");
