#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xbd00a591, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xbb7186bf, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x9570e27f, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x12602c11, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x4421b215, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x60bbd1dc, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x464a0c3f, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x858e9af1, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x2942c3b6, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x4b77e45e, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xe9dac6f3, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x9b317f74, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x030622be, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xf135154e, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x36536cee, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x5eb5bd04, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x28d7b3aa, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xbbf634f3, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x8e692217, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xff0a2d50, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xbea29078, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x7c07b29a, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x28d82c1e, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xe78d16b5, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xb2e7155a, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb844b677, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x15b25c5d, "sock_map_close" },
	{ 0x276df7e7, "sock_queue_rcv_skb_reason" },
	{ 0x325eeec0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x86265df, "misc_deregister" },
	{ 0x4214f414, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xae8aaf3f, "sock_map_unhash" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xc37187d0, "__module_get" },
	{ 0xa3d4b530, "sk_stream_error" },
	{ 0x2c1c08af, "sk_msg_recvmsg" },
	{ 0xcf8f3b49, "ns_capable_noaudit" },
	{ 0xe0de4f1a, "__put_cred" },
	{ 0xf051f169, "sk_error_report" },
	{ 0xcd44f22a, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c6a1e86, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xab1964d1, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9562f8bc, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd1f9e276, "module_put" },
	{ 0x43fb11c5, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1245bb19, "sk_skb_reason_drop" },
	{ 0x6635be59, "sk_free" },
	{ 0x735ef140, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x58c80521, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x42b7e73b, "sock_recv_errqueue" },
	{ 0x2e4ffbab, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x9406d7b1, "sk_alloc" },
	{ 0x7d39636c, "sock_no_socketpair" },
	{ 0x98db61b6, "misc_register" },
	{ 0x2d7962fa, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x99a41563, "sock_no_sendpage" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x42738cfb, "nonseekable_open" },
	{ 0x8b8edea, "sk_psock_drop" },
	{ 0x2b32b565, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xefa3ecf4, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x46013c43, "skb_clone" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x83bab66f, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x20a475ef, "sock_setsockopt" },
	{ 0x7e5ae966, "sock_init_data" },
	{ 0xe7c5267, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "11BFDDF3B4C9834371D252C");
MODULE_INFO(rhelversion, "9.6");
