#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xfe6f68a7, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x23c99738, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x97e0c84a, "");
SYMBOL_CRC(rdma_res_to_id, 0x3a293bb8, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xa14c5a69, "");
SYMBOL_CRC(rdma_create_user_id, 0x1abef134, "");
SYMBOL_CRC(rdma_create_qp, 0x24e6cc1f, "");
SYMBOL_CRC(rdma_destroy_qp, 0xeb3479c4, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x332577cc, "");
SYMBOL_CRC(rdma_destroy_id, 0xa79d4e22, "");
SYMBOL_CRC(rdma_get_service_id, 0x28f83c24, "");
SYMBOL_CRC(rdma_read_gids, 0x162ae31d, "");
SYMBOL_CRC(rdma_set_service_type, 0x7605337e, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6beb155b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xea437091, "");
SYMBOL_CRC(rdma_set_ib_path, 0x67077dd5, "");
SYMBOL_CRC(rdma_resolve_route, 0x96ce5b7d, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x1d2ff00b, "");
SYMBOL_CRC(rdma_set_afonly, 0x49ddefee, "");
SYMBOL_CRC(rdma_listen, 0xd6ff5a4c, "");
SYMBOL_CRC(rdma_resolve_addr, 0xbf9eec23, "");
SYMBOL_CRC(rdma_bind_addr, 0x50c18b7e, "");
SYMBOL_CRC(rdma_connect_locked, 0xed43d95d, "");
SYMBOL_CRC(rdma_connect, 0xc27eaf7d, "");
SYMBOL_CRC(rdma_connect_ece, 0x4a1c31c1, "");
SYMBOL_CRC(rdma_accept, 0x27f84cf5, "");
SYMBOL_CRC(rdma_accept_ece, 0x3ba1fc6b, "");
SYMBOL_CRC(rdma_lock_handler, 0x40db1522, "");
SYMBOL_CRC(rdma_unlock_handler, 0x211a5829, "");
SYMBOL_CRC(rdma_notify, 0xdeaf6f25, "");
SYMBOL_CRC(rdma_reject, 0x56d5675f, "");
SYMBOL_CRC(rdma_disconnect, 0xbf40da48, "");
SYMBOL_CRC(rdma_join_multicast, 0x8567fbde, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3cb8d58b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9527378, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc93e5a6b, "iw_create_cm_id" },
	{ 0xa5df215e, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x89bc6418, "ib_unregister_client" },
	{ 0x9b2d6c35, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd49d372e, "ib_send_cm_sidr_rep" },
	{ 0xf04863fd, "bpf_trace_run4" },
	{ 0x4cfa633d, "config_group_init" },
	{ 0xed0c2b3a, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x2ec3d853, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x18dc93d, "trace_raw_output_prep" },
	{ 0x16908f31, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x494d7b28, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x50ffeede, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x80da7d02, "rdma_query_gid" },
	{ 0xccf5821, "rt6_lookup" },
	{ 0x270aaec3, "rdma_translate_ip" },
	{ 0xeda21b7b, "bpf_trace_run2" },
	{ 0x2f2fab45, "event_triggers_call" },
	{ 0xe4be53ae, "rdma_dev_access_netns" },
	{ 0x853dde86, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0xa91378db, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x89f19984, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8660f4, "register_pernet_subsys" },
	{ 0x72d1f496, "trace_event_buffer_commit" },
	{ 0x4cf3f611, "ip_mc_inc_group" },
	{ 0x2a0f8217, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5445eb05, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xdac21134, "iw_cm_connect" },
	{ 0xecd32189, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf3023f5f, "rdma_addr_cancel" },
	{ 0xcb119ddb, "trace_event_ignore_this_pid" },
	{ 0x3658a653, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa3ecc2e2, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xee6ae057, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xaff78977, "ib_sa_path_rec_get" },
	{ 0xb60ad98f, "ib_create_cm_id" },
	{ 0x41c5ff68, "__ip_mc_dec_group" },
	{ 0xf94918d1, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x5ce9b5ea, "perf_trace_run_bpf_submit" },
	{ 0x9dc5ec95, "ib_init_ah_from_mcmember" },
	{ 0xc1a0bbfc, "rdma_destroy_ah_attr" },
	{ 0x2ccf9cec, "ib_set_client_data" },
	{ 0x58a21e54, "init_net" },
	{ 0xd8f2d11c, "ib_get_cached_pkey" },
	{ 0x4e501d81, "configfs_register_subsystem" },
	{ 0x525af399, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xbb54762, "rdma_put_gid_attr" },
	{ 0x9139e7eb, "config_group_init_type_name" },
	{ 0x55976c82, "dev_get_by_index" },
	{ 0xac4bfc6d, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x24c6a3a4, "ib_send_cm_rep" },
	{ 0x6e34cf26, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x140d2552, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x3f6e747e, "bpf_trace_run1" },
	{ 0x9f093d39, "ib_destroy_qp_user" },
	{ 0x664a8dd2, "unregister_pernet_subsys" },
	{ 0xbeddcff8, "ib_cm_init_qp_attr" },
	{ 0x46738746, "_dev_warn" },
	{ 0x58a0ab55, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xeca776e0, "rdma_restrack_set_name" },
	{ 0xcba130b5, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xca147d08, "ib_get_cached_port_state" },
	{ 0x16cc607d, "ib_send_cm_mra" },
	{ 0x5de73197, "rdma_restrack_del" },
	{ 0xa5bb3c36, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x1e1e29ee, "bpf_trace_run3" },
	{ 0xd0ceec14, "__put_net" },
	{ 0xf77b030e, "rdma_restrack_parent_name" },
	{ 0x9bd3b028, "iw_cm_accept" },
	{ 0x6a7ee6ed, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5207a6f1, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9b0fa1, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x58890be9, "iw_cm_init_qp_attr" },
	{ 0x7845f222, "dst_release" },
	{ 0x517b397f, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf45c5c41, "ib_send_cm_dreq" },
	{ 0xfa224d51, "ib_send_cm_req" },
	{ 0x3eef0932, "ib_create_qp_kernel" },
	{ 0x2dea4932, "ib_sa_join_multicast" },
	{ 0x14a3c413, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x98b05c24, "rdma_get_gid_attr" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0xb613ea8, "rdma_restrack_new" },
	{ 0x1fa2a955, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaa4eba96, "iw_cm_listen" },
	{ 0xe1a7c62e, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb533e63c, "rdma_copy_src_l2_addr" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0x64f5124, "rdma_resolve_ip" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "AC6D96B734F44DE6F657D88");
MODULE_INFO(rhelversion, "9.6");
