#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xc662ee4f, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xbcfa5b05, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x15f43fb4, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x27cea823, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x927a1f33, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x89dc62e2, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x0c37b200, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xfe2d7a7e, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x11bbe67c, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x2645cb44, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xf5574736, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xbdcd87dd, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x52dcc586, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xacb30cbd, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xea69c5c8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xd84df880, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x19bc9bef, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xc57d52b9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xfc5e7d2d, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x92bf5a53, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x49cce90b, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xffff85ae, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x4540901d, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xb3eeb2a7, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xc7b362f0, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x735d64ee, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xe127ba9e, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xef8e0fc1, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xce103720, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xd145f43d, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xa3b209c3, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x18237943, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xe4e36026, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x3d87dae2, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x1773799f, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x76578c84, "");
SYMBOL_CRC(mlx4_test_async, 0x6249bd5d, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x42c5f999, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x9023b9a7, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x2194919f, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x9d9c192c, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x6f9932af, "");
SYMBOL_CRC(mlx4_assign_eq, 0x360190f2, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x08aa90a7, "");
SYMBOL_CRC(mlx4_release_eq, 0x94970d50, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x1b4c5ab4, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xac572310, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x94e34e5a, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xe4475df0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x0a6d19ca, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x71b4ae6b, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x7e7a615b, "");
SYMBOL_CRC(mlx4_wol_read, 0xa73a7119, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x4a676ddf, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x0ba712c4, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xbcf397e8, "");
SYMBOL_CRC(set_phv_bit, 0x9fc59d34, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x69a9f33f, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x712a5bf2, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xf4593cf2, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x633760d6, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xc5178199, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xcfa3a8ba, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x8bf9d174, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x98e7dc65, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x3c67c056, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x2a5dc924, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x1ff1a83d, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x1ad7f36c, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x5513b8e9, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xfacb8533, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x96e76589, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xd462a382, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x91e45cc1, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xef6ee7c6, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xa830ca72, "");
SYMBOL_CRC(mlx4_read_clock, 0xcb5f84fb, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xadb739fc, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x172e4358, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x75d17ae1, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xb3419c52, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x6e950fac, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x8c1c5d03, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xef9838c4, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x523864e1, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xdf39d826, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x811a1499, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x02e90686, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xcc6bc479, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x2d894fe4, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x1e6b0463, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x549e5add, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x1d90492a, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x16049f9d, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x467c2b59, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xddefaabc, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x4c56f531, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x1b91e157, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xaa16741e, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x7cc408f6, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xd2ab3271, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x0c9a7649, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x1ac982c1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x83115738, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x39f8900b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x2bd6808a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xc410d490, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xf93aac7b, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xc5fbbf9f, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x4250eea3, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xefea4987, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x4ee620c8, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x14232744, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xe7c75bb7, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x4ea85257, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xbe44dc14, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x046ef3ec, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x36515be9, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x00f7e2a1, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x5e7a2b0a, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xc1a5f314, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x7e1b7079, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x7eaac34d, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xdfdea316, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xb0a5dbd3, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x749d32dc, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x39f388ee, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xd3ebaeed, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xf15124c9, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xfc4e8159, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x3760f324, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xb9673dd4, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x6afbc011, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x5d7bab37, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x94bacfff, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x9bfbfdf4, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x17edb330, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x566eab5e, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x49d346f1, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xfa8e1dd8, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x9d94f368, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xea5fe6cb, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x2775a5b2, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xec3b0c3d, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xf0e57d40, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x38d1ae36, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x5d5b0905, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x9a921252, "");
SYMBOL_CRC(mlx4_get_module_info, 0xe3d8ad19, "");
SYMBOL_CRC(mlx4_max_tc, 0x76a89d9a, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x0c4ae0ed, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x529bd7d3, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x70b75a3c, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xafed21a7, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xb096d4d8, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x7cadb581, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x5b9ea604, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x3cb79d79, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xd961c83f, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x271a48ba, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xda54ea0a, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x0109e432, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x8850e0c3, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xa7875454, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84a09496, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x54d41865, "pcie_capability_write_word" },
	{ 0xa3ff9c29, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x149774b2, "devl_region_create" },
	{ 0xc663cf34, "devlink_unregister" },
	{ 0x14162a0c, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x1b28aaeb, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf387fba4, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64ce0943, "devlink_region_snapshot_id_get" },
	{ 0x3d85f64e, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x849828c0, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xfe2c6e38, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2285a2c4, "param_array_ops" },
	{ 0xd2bab990, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0ee0195, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x741c49c8, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x248d8e1d, "devlink_register" },
	{ 0x6d6e693b, "devlink_port_type_clear" },
	{ 0xbcef87dc, "devlink_free" },
	{ 0x44a6e90a, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xddf3408c, "param_ops_byte" },
	{ 0x67bf8b5e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x1ce00284, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x1062a17f, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x42b4880d, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e246687, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5bedd2b9, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xdca99d89, "put_device" },
	{ 0x25509209, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb6c42afa, "kmalloc_node_trace" },
	{ 0x2be9936f, "__free_pages" },
	{ 0xa790090d, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7d3c8aac, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7732159c, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x1c80e1c2, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe273d75d, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x77402828, "_dev_err" },
	{ 0x58a21e54, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x3e5310bd, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x6b1cfa06, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1373d66c, "dma_alloc_attrs" },
	{ 0x39f2c230, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x8e228635, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa08a70ce, "pci_restore_state" },
	{ 0xebaf75ba, "device_del" },
	{ 0x7ff6b7e3, "devl_param_driverinit_value_set" },
	{ 0x46738746, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xb49a11fd, "__alloc_pages" },
	{ 0xa27efbfb, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x76eeb704, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0xb90387ff, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x4af06ed, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8a735a51, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6930bf17, "param_ops_bool" },
	{ 0xe8ae7eb5, "pci_release_regions" },
	{ 0xe806e089, "__dma_sync_single_for_device" },
	{ 0xc314d506, "devl_assert_locked" },
	{ 0xdd319833, "pcie_print_link_status" },
	{ 0x82779279, "alloc_pages" },
	{ 0xc99705c7, "devl_port_unregister" },
	{ 0xb764a24f, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8db2a337, "devlink_priv" },
	{ 0x8a88a565, "pci_disable_sriov" },
	{ 0xdddbb2d3, "pci_disable_msix" },
	{ 0x771855fb, "pci_disable_device" },
	{ 0x2623621, "dev_printk" },
	{ 0x48319daf, "dma_set_mask" },
	{ 0x71060a7f, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x523e8d53, "dma_unmap_sg_attrs" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x3988b282, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xf40a7b60, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc40d6d90, "pci_write_config_dword" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0x3db634b7, "device_remove_file" },
	{ 0x3d3f7e5f, "dma_map_sg_attrs" },
	{ 0x6014e841, "devl_param_value_changed" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1265F94F4B5ED93287CCDC1");
MODULE_INFO(rhelversion, "9.6");
