#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xe5848421, "");
SYMBOL_CRC(jbd2_journal_start, 0x6c55f88a, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xcae901df, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x0e810593, "");
SYMBOL_CRC(jbd2__journal_restart, 0x10ca006e, "");
SYMBOL_CRC(jbd2_journal_restart, 0xea2f326a, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x25d3db8a, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x119afc0f, "");
SYMBOL_CRC(jbd2_journal_extend, 0xf1862bb5, "");
SYMBOL_CRC(jbd2_journal_stop, 0x736c87d7, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x5cd42525, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xfdd5caf2, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x90141a5c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x62208a66, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x05413b1c, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xcf19204e, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xd2f1c0ff, "");
SYMBOL_CRC(jbd2_journal_forget, 0xbe5f9f82, "");
SYMBOL_CRC(jbd2_journal_flush, 0x42566f4e, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x84b5e594, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xa057040d, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x0e9a1f37, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x1e44300d, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xe96020c1, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x19106eec, "");
SYMBOL_CRC(jbd2_journal_load, 0x6376f7fd, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x64bd0b7e, "");
SYMBOL_CRC(jbd2_journal_abort, 0xf912be06, "");
SYMBOL_CRC(jbd2_journal_errno, 0x5ddbb561, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x86e9b1a8, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xde212e40, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xd0fbf14d, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xefa6206a, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xf8f3603b, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xa2ae5385, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x83b928ea, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x8b7ef498, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x066b6ba1, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x5675a51e, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x5b3a23bb, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x4e9c07b3, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xab77612c, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xf241277c, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xb28abd37, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xc5a09adf, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xa79b5a99, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x01368ad6, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xf1f8b5c5, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x07e9daee, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x4fe33c99, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xf124962a, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x9b991ed7, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x5d01ae89, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x487d09aa, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x2a063b1c, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x763b6277, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x12d7d063, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xc2365e72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xf6f64fd1, "bh_uptodate_or_lock" },
	{ 0xa3ff9c29, "vmemmap" },
	{ 0x1207bae4, "blk_start_plug" },
	{ 0xf04863fd, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x578ed2b2, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x359b86be, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x18dc93d, "trace_raw_output_prep" },
	{ 0xe6b156be, "bpf_trace_run6" },
	{ 0xb07a5cbb, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc6ba34fc, "__find_get_block" },
	{ 0x32bc2286, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x494d7b28, "trace_event_printf" },
	{ 0xec7d07ba, "__bforget" },
	{ 0xfc583afb, "write_dirty_buffer" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x50ffeede, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x833a911b, "iput" },
	{ 0x563e198a, "seq_lseek" },
	{ 0x5661c6bf, "blockdev_superblock" },
	{ 0x6630e9bd, "proc_create_data" },
	{ 0xeda21b7b, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x2f2fab45, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2ece31ad, "kmem_cache_create" },
	{ 0x22671b93, "bpf_trace_run8" },
	{ 0x6854857e, "submit_bh" },
	{ 0x5b2ec1c9, "alloc_buffer_head" },
	{ 0x984932a1, "wake_up_process" },
	{ 0x72d1f496, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc253c795, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xcb119ddb, "trace_event_ignore_this_pid" },
	{ 0x8213e3e, "try_to_free_buffers" },
	{ 0x7d0af656, "sync_blockdev" },
	{ 0xe2c0e650, "free_buffer_head" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x683f2ac0, "kmem_cache_alloc" },
	{ 0xbdd35825, "blk_finish_plug" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x42637e70, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x5ce9b5ea, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc2a113a, "add_timer" },
	{ 0xb9164efa, "__bh_read_batch" },
	{ 0x7a6b7097, "bpf_trace_run5" },
	{ 0x9b85a84c, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd2b98a69, "kmem_cache_free" },
	{ 0xcba2161, "__bh_read" },
	{ 0x6e34cf26, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4ce39415, "blkdev_issue_zeroout" },
	{ 0x942e63e0, "filemap_fdatawait_range_keep_errors" },
	{ 0xb8b1ef00, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x331c0a82, "freezing_slow_path" },
	{ 0x3f6e747e, "bpf_trace_run1" },
	{ 0xef6a9a6d, "proc_mkdir" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0xb9546a0a, "kthread_create_on_node" },
	{ 0x1e1e29ee, "bpf_trace_run3" },
	{ 0x9d7b94cd, "seq_read" },
	{ 0xb6069bf8, "unlock_buffer" },
	{ 0x88465182, "__getblk_gfp" },
	{ 0x6a7ee6ed, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x3b5a0c81, "__folio_put" },
	{ 0x9e74858d, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x312543c, "seq_printf" },
	{ 0x6979a585, "__lock_buffer" },
	{ 0x269021be, "truncate_inode_pages_range" },
	{ 0x20a8899c, "blkdev_issue_flush" },
	{ 0x2598a20f, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7e15a5fa, "end_buffer_write_sync" },
	{ 0x1a3bb4b7, "seq_open" },
	{ 0xe97f1633, "kmalloc_trace" },
	{ 0x26f29864, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x25fe4a3d, "schedule_hrtimeout" },
	{ 0xbea71ed8, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcb4a56d8, "kmalloc_caches" },
	{ 0x2fd4a3db, "kmem_cache_destroy" },
	{ 0x37aa7192, "blkdev_issue_discard" },
	{ 0x60b2bb32, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1E9097C1A77DB81BD622467");
MODULE_INFO(rhelversion, "9.6");
